Index: branches/Scheduling/HeuristicLab.Problems.Scheduling/3.3/Analyzers/BestSchedulingSolutionAnalyzer.cs
===================================================================
--- branches/Scheduling/HeuristicLab.Problems.Scheduling/3.3/Analyzers/BestSchedulingSolutionAnalyzer.cs	(revision 6121)
+++ branches/Scheduling/HeuristicLab.Problems.Scheduling/3.3/Analyzers/BestSchedulingSolutionAnalyzer.cs	(revision 6177)
@@ -36,5 +36,5 @@
   [Item("BestSchedulingSolutionAnalyzer", "An operator for analyzing the best solution of Scheduling Problems given in schedule-representation.")]
   [StorableClass]
-  public sealed class BestSchedulingSolutionAnalyzer : SchedulingOperator, IAnalyzer, IStochasticOperator {
+  public sealed class BestSchedulingSolutionAnalyzer : JSSPOperator, IAnalyzer, IStochasticOperator {
     [StorableConstructor]
     private BestSchedulingSolutionAnalyzer(bool deserializing) : base(deserializing) { }
@@ -61,6 +61,6 @@
       get { return (ScopeTreeLookupParameter<DoubleValue>)Parameters["Quality"]; }
     }
-    public LookupParameter<JSSPEncoding> BestSolutionParameter {
-      get { return (LookupParameter<JSSPEncoding>)Parameters["BestSolution"]; }
+    public LookupParameter<Schedule> BestSolutionParameter {
+      get { return (LookupParameter<Schedule>)Parameters["BestSolution"]; }
     }
     public ValueLookupParameter<ResultCollection> ResultsParameter {
@@ -70,9 +70,9 @@
       get { return (LookupParameter<DoubleValue>)Parameters["BestKnownQuality"]; }
     }
-    public LookupParameter<JSSPEncoding> BestKnownSolutionParameter {
-      get { return (LookupParameter<JSSPEncoding>)Parameters["BestKnownSolution"]; }
+    public LookupParameter<Schedule> BestKnownSolutionParameter {
+      get { return (LookupParameter<Schedule>)Parameters["BestKnownSolution"]; }
     }
-    public ScopeTreeLookupParameter<JSSPEncoding> SchedulingSolutionParameter {
-      get { return (ScopeTreeLookupParameter<JSSPEncoding>)Parameters["SchedulingSolution"]; }
+    public ScopeTreeLookupParameter<Schedule> SchedulingSolutionParameter {
+      get { return (ScopeTreeLookupParameter<Schedule>)Parameters["DecodedSchedulingSolution"]; }
     }
 
@@ -84,17 +84,16 @@
       Parameters.Add(new LookupParameter<BoolValue>("Maximization", "True if the problem is a maximization problem."));
       Parameters.Add(new ScopeTreeLookupParameter<DoubleValue>("Quality", "The qualities of the JSSP solutions which should be analyzed."));
-      Parameters.Add(new ScopeTreeLookupParameter<JSSPEncoding>("SchedulingSolution", "The solutions from which the best solution has to be chosen from."));
-      Parameters.Add(new LookupParameter<JSSPEncoding>("BestSolution", "The best JSSP solution."));
+      Parameters.Add(new ScopeTreeLookupParameter<Schedule>("DecodedSchedulingSolution", "The solutions from which the best solution has to be chosen from."));
+      Parameters.Add(new LookupParameter<Schedule>("BestSolution", "The best JSSP solution."));
       Parameters.Add(new ValueLookupParameter<ResultCollection>("Results", "The result collection where the best JSSP solution should be stored."));
       Parameters.Add(new LookupParameter<DoubleValue>("BestKnownQuality", "The quality of the best known solution of this JSSP instance."));
-      Parameters.Add(new LookupParameter<JSSPEncoding>("BestKnownSolution", "The best known solution of this JSSP instance."));
+      Parameters.Add(new LookupParameter<Schedule>("BestKnownSolution", "The best known solution of this JSSP instance."));
     }
 
 
     public override IOperation Apply() {
-      IntValue nrOfResources = NrOfResources;
       ItemList<JSSPJob> jobs = Jobs;
       ItemArray<DoubleValue> qualities = QualityParameter.ActualValue;
-      ItemArray<JSSPEncoding> solutions = SchedulingSolutionParameter.ActualValue;
+      ItemArray<Schedule> solutions = SchedulingSolutionParameter.ActualValue;
       ResultCollection results = ResultsParameter.ActualValue;
       bool max = MaximizationParameter.ActualValue.Value;
@@ -110,10 +109,10 @@
           !max && qualities[i].Value < bestKnownQuality.Value) {
         BestKnownQualityParameter.ActualValue = new DoubleValue(qualities[i].Value);
-        BestKnownSolutionParameter.ActualValue = (JSSPEncoding)solutions[i].Clone();
+        BestKnownSolutionParameter.ActualValue = (Schedule)solutions[i].Clone();
       }
 
-      JSSPEncoding bestSolution = BestSolutionParameter.ActualValue;
+      Schedule bestSolution = BestSolutionParameter.ActualValue;
       if (bestSolution == null) {
-        bestSolution = (JSSPEncoding)solutions[i].Clone();
+        bestSolution = (Schedule)solutions[i].Clone();
         bestSolution.Quality.Value = qualities [i].Value;
         BestSolutionParameter.ActualValue = bestSolution;
@@ -122,5 +121,5 @@
         if (max && bestSolution.Quality.Value < qualities[i].Value ||
           !max && bestSolution.Quality.Value > qualities[i].Value) {
-            bestSolution = (JSSPEncoding)solutions[i].Clone();
+            bestSolution = (Schedule)solutions[i].Clone();
           bestSolution.Quality.Value = qualities[i].Value;
         }
